Candidate
Update the candidate profile
PATCH
Changes the fields you send and leaves the rest. Send null to clear a field. The same fields the candidate edits in GetMattered. Free.
DeveloperKeyheader
AuthorizationBearer <gm_live_...>A GetMattered developer API key, sent as Authorization: Bearer gm_live_....
application/json- body
addressLine1?|Address line 1
Length
length <= 255addressLine2?|Address line 2
Length
length <= 255city?|City
Length
length <= 100country?|Country
Length
length <= 100githubUrl?|GitHub profile URL
Format
uriLength
length <= 500linkedinUrl?|LinkedIn profile URL
Format
uriLength
length <= 500phone?|Phone number
Length
length <= 20portfolioUrl?|Portfolio website URL
Format
uriLength
length <= 500relocationLocations?array<string>|Preferred relocation locations as "City, Country" or "Country" (max per-entry stripping of middle admin segments on ingest).
state?|State or province
Length
length <= 100willingToRelocate?booleanWilling to relocate for a job
workAuthorization?|Work authorization status
Value in
"us_citizen""permanent_resident""visa_holder""require_sponsorship""other"nullzipCode?|ZIP or postal code
Length
length <= 20name?stringThe candidate's full name, as employers see it.
Length
1 <= length <= 100The profile after the change.
application/json- response
Successful API response
data*meta?success*trueValue in
truecurl -X PATCH 'https://api.getmattered.com/api/v1/developer/profile' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
{
"data": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"country": "string",
"githubUrl": "string",
"linkedinUrl": "string",
"phone": "string",
"portfolioUrl": "string",
"relocationLocations": [
"string"
],
"state": "string",
"willingToRelocate": true,
"workAuthorization": "us_citizen",
"zipCode": "string",
"email": "string",
"name": "string"
},
"meta": {
"duration": 0,
"performance": {
"dbQueries": 0,
"totalDbTime": 0
},
"requestId": "string",
"timestamp": "2019-08-24T14:15:22Z",
"version": "string"
},
"success": true
}